/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "FaxBrowser.h"

FL_FORM *fb;

FL_OBJECT
        *button_view,
        *button_print,
        *button_delete,
        *button_exit,
        *browser_fax,
        *button_load,
        *button_settings,
        *button_update;

void create_form_fb(void)
{
  FL_OBJECT *obj;

  if (fb)
     return;

  fb = fl_bgn_form(FL_NO_BOX,720,340);
  obj = fl_add_box(FL_UP_BOX,0,0,720,340,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,20,20,550,300,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  obj = fl_add_frame(FL_DOWN_FRAME,590,20,110,300,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  button_view = obj = fl_add_button(FL_NORMAL_BUTTON,600,30,90,30,"View");
    fl_set_button_shortcut(obj,"Vv#V#v",1);
    fl_set_object_callback(obj,show_fax,0);
  button_print = obj = fl_add_button(FL_NORMAL_BUTTON,600,130,90,30,"Print");
    fl_set_button_shortcut(obj,"Pp#P#p",1);
    fl_set_object_callback(obj,print_fax,0);
  button_delete = obj = fl_add_button(FL_NORMAL_BUTTON,600,180,90,30,"Delete");
    fl_set_button_shortcut(obj,"Dd#D#d",1);
    fl_set_object_callback(obj,delete_fax,0);
  button_exit = obj = fl_add_button(FL_NORMAL_BUTTON,600,280,90,30,"Exit");
    fl_set_button_shortcut(obj,"Ee#E#e",1);
  browser_fax = obj = fl_add_browser(FL_MULTI_BROWSER,30,50,530,250,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
  button_load = obj = fl_add_button(FL_NORMAL_BUTTON,600,80,90,30,"Load");
    fl_set_button_shortcut(obj,"Ll#L#l",1);
    fl_set_object_callback(obj,load_fax,0);
  obj = fl_add_text(FL_NORMAL_TEXT,30,30,530,20,"Res.:           Page:         Date:                                                                  Sender:");
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  button_settings = obj = fl_add_button(FL_NORMAL_BUTTON,600,230,90,30,"Settings");
    fl_set_button_shortcut(obj,"Ss#S#s",1);
    fl_set_object_callback(obj,edit_settings,0);
  button_update = obj = fl_add_button(FL_TOUCH_BUTTON,250,300,85,15,"Fax Incoming");
    fl_set_object_boxtype(obj,FL_RFLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_callback(obj,update_faxdir,0);
  fl_end_form();

}
/*---------------------------------------*/

FL_FORM *settings;

FL_OBJECT
        *button_cancel,
        *button_use,
        *button_multipage,
        *input_faxdir,
        *input_faxalias,
        *input_viewcommandn,
        *input_viewcommandf,
        *button_save,
        *input_printcommandn,
        *input_printcommandf;

void create_form_settings(void)
{
  FL_OBJECT *obj;

  if (settings)
     return;

  settings = fl_bgn_form(FL_NO_BOX,500,420);
  obj = fl_add_box(FL_UP_BOX,0,0,500,420,"");
  button_cancel = obj = fl_add_button(FL_NORMAL_BUTTON,30,360,100,30,"Cancel");
    fl_set_button_shortcut(obj,"#C#c",1);
  button_use = obj = fl_add_button(FL_NORMAL_BUTTON,200,360,100,30,"Use");
    fl_set_button_shortcut(obj,"#U#u",1);
  button_multipage = obj = fl_add_lightbutton(FL_PUSH_BUTTON,370,80,100,30,"Multipage");
    fl_set_button_shortcut(obj,"#M#m",1);
  input_faxdir = obj = fl_add_input(FL_NORMAL_INPUT,120,80,210,30,"Fax Incoming");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
  input_faxalias = obj = fl_add_input(FL_NORMAL_INPUT,120,120,210,30,"Fax Alias");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
  input_viewcommandn = obj = fl_add_input(FL_NORMAL_INPUT,120,170,210,30,"View Command\n(norm. resolution)");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
  input_viewcommandf = obj = fl_add_input(FL_NORMAL_INPUT,120,210,210,30,"View Command\n(high resolution)");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,110,30,280,30,"FaxBrowser Settings");
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
  button_save = obj = fl_add_button(FL_NORMAL_BUTTON,370,360,100,30,"Save");
    fl_set_button_shortcut(obj,"#S#s",1);
  input_printcommandn = obj = fl_add_input(FL_NORMAL_INPUT,120,260,210,30,"Print Command\n(norm. resolution)");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
  input_printcommandf = obj = fl_add_input(FL_NORMAL_INPUT,120,300,210,30,"Print Command\n(high resolution)");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,370,120,100,210,"Note:\n\n\nYou can use\nthe # character\nto specify the\nfilename (for\nexample if you\nwant to pipe it\nthrough g3tops).");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fl_end_form();

}
/*---------------------------------------*/

void create_the_forms(void)
{
  create_form_fb();
  create_form_settings();
}

