#ifndef _FB_H
#define _FB_H

#include <sys/param.h>
#include <time.h>

#define FAXALIAS ".faxbrowser.alias"
#define FAXRC ".faxbrowser.rc"
#define FAX_DETECT_PATTERN "f[nf][0-9]*"
#define VBPRINTF(format, args...) if (verbose) fprintf(stderr, format, ## args)

struct faxent {
	char filename[64];
	char description[128];
	char resolution;
	int status;
	double time;
};

extern char *analyze_file(char *);
extern void get_filenames(void);
extern void get_selection(void);
extern void process_fax(char *, char, char *);

extern int faxnr;
extern int errno;
extern int verbose;
extern char *faxentptr[1000];
extern char fax_alias[MAXPATHLEN];
extern char fax_dir[MAXPATHLEN];
extern char fax_rc[MAXPATHLEN];
extern char fax_viewcommandn[MAXPATHLEN];
extern char fax_printcommandn[MAXPATHLEN];
extern char fax_viewcommandf[MAXPATHLEN];
extern char fax_printcommandf[MAXPATHLEN];

#endif

